<!-- Thông báo lỗi -->
<?php MyHelper::loadView('backend/cms_partials/error_message_view') ?>
<div class="row" >
    <div style="text-align: center" id="data-loading">
        <i class="fa fa-refresh fa-spin bigger-200"></i> Đang tải dữ liệu...
    </div>
    <div class="col-md-6">
        <span style="color: red"><i>Lưu ý: BXH ngày có từ 30/03/2020</i></span>
    </div>
    <div class="col-lg-12">
        <div id="div-response"></div>
    </div>
</div>
<script type="text/javascript">
    //Thuc hien viec ve bieu do$data
    $(document).ready(function() {
        var url = '<?php echo base_url("backend/cmsSetting/overlapRankingAjax"); ?>';

        // Tìm kiếm theo cú pháp
        var oldTimeout2 = '';
        $('#input-date-picker').change(function(){
            clearTimeout(oldTimeout2);
            oldTimeout2 = setTimeout(function(){
                //loadDataByAjaxFromInput(url);
            }, 250);
        });
        // Xóa bộ lọc
        $('#delete-filter').click(function(){
            $("#input-date-picker").val('<?php echo date('d/m/Y', time()-86400)?>');
            changePagination('0');
            return false;

        });
        changePagination('0');

    });

    function changePagination(pageId) {
        $('#data-loading').show();
        var url = '<?php echo base_url("backend/cmsSetting/overlapRankingAjax"); ?>';
        callAjax(pageId, url);
    }

    function callAjax(pageId, url) {
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var fByName = $("#input-date-picker").val();
        var dataReq = {
            csrf_name: csrf_value,
            fByName: fByName,
            pageId: pageId
        };
        //Ajax
        $.ajax({
            type: "POST",
            url: url,
            data: dataReq,
            dataType: "text",
            cache: false,
            success: function(data) {
                $('#div-response').html(data);
                $('#data-loading').hide();
            }
        });
    }

</script>